Proxies a Proxmox VNC websocket
curl --request GET \
--url https://api.vexelia.com/vnc \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vexelia.com/vnc"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vexelia.com/vnc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Nodes
VNC
GET
/
vnc
Proxies a Proxmox VNC websocket
VNC clients and VMs only!
This endpoint is exclusively for VNC clients and is compatible only with nodes
that are virtual machines - not dedicated hardware, providing remote display
and control access for VMs.
Authorizations
Your API key goes here, you can generate one in your account settings.
Query Parameters
The ID of the host node to connect to
The ID of the VM to proxy
The ticket to pass down
The port to use
Response
200
OK

